<ng-container *ngIf="vm$() as vm">
  <div [ngClass]="[jds.d('flex'), jds.gap(16), jds.mb(16)]">
    <app-e-walidata-filter-business-field
      [filterData]="vm.filterBusinessField"
      [listBusinessField]="vm.listBusinessField"
      (filter)="onFilterBusinessField($event)"
    />

    <app-e-walidata-search-indicator
      [ngClass]="[jds.w('full')]"
      [searchData]="vm.filterSearch"
      (search)="onSearch($event)"
    />
  </div>

  <app-e-walidata-list-indicator
    [listOrganization]="vm.listOrganizationSatuData"
    [listIndicator]="vm.listEWalidataMonitorIndicatorMonitor"
    [listIndicatorYear]="vm.getListEWalidataMonitorIndicatorMonitorYear"
    [filterPerPageData]="vm.filterPerPage"
    [filterCurrentPageData]="vm.filterCurrentPage"
    (openFilterOrganization)="onOpenFilterOrganization()"
    (filterOrganization)="onFilterOrganization($event)"
    (filterPerPage)="onPerPage($event)"
    (filterCurrentPage)="onPage($event)"
  />
</ng-container>
